mod day1;
mod day10;
mod day11;
mod day12;
mod day13;
mod day14;
mod day15;
mod day16;
mod day2;
mod day3;
mod day4;
mod day5;
mod day6;
mod day7;
mod day8;
mod day9;

fn main() {
    // println!("Day 1 - 1 solution : {}", (day1::process1()));
    // println!("Day 1 - 2 solution : {}", (day1::process2()));
    // println!("Day 2 - 1 solution : {}", (day2::process1()));
    // println!("Day 2 - 2 solution : {}", (day2::process2()));
    // println!("Day 3 - 1 solution : {}", (day3::process1()));
    // println!("Day 3 - 2 solution : {}", (day3::process2()));
    // println!("Day 4 - 1 solution : {}", (day4::process1()));
    // println!("Day 4 - 2 solution : {}", (day4::process2()));
    // println!("Day 5 - 1 solution : {}", (day5::process1()));
    // println!("Day 5 - 2 solution : {}", (day5::process2()));
    // println!("Day 6 - 1 solution : {}", (day6::process1()));
    // println!("Day 6 - 2 solution : {}", (day6::process2()));
    // println!("Day 7 - 1 solution : {}", (day7::process1()));
    // println!("Day 7 - 2 solution : {}", (day7::process2()));
    // println!("Day 8 - 1 solution : {}", (day8::process1()));
    // println!("Day 8 - 2 solution : {}", (day8::process2()));
    // println!("Day 9 - 1 solution : {}", (day9::process1()));
    // println!("Day 9 - 2 solution : {}", (day9::process2()));
    println!("Day 10 - 1 solution : {}", (day10::process1()));
    println!("Day 10 - 2 solution : {}", (day10::process2()));
    println!("Day 11 - 1 solution : {}", (day11::process1()));
    println!("Day 11 - 2 solution : {}", (day11::process2()));
    println!("Day 12 - 1 solution : {}", (day12::process1()));
    println!("Day 12 - 2 solution : {}", (day12::process2()));
    println!("Day 13 - 1 solution : {}", (day13::process1()));
    // println!("Day 13 - 2 solution : {}", (day13::process2()));
    println!("Day 14 - 1 solution : {}", (day14::process1()));
    println!("Day 15 - 1 solution : {}", (day15::process1()));
    // println!("Day 15 - 2 solution : {}", (day15::process2()));
    println!("Day 16 - 1 solution : {}", (day16::process1()));
}
